STAC-CLIENT(1)

NAME
stac-client - Tool for working with SpatioTemporal Asset Catalog (STAC) APIs

DESCRIPTION
usage: stac-client [-h] [--version] {collections,search} ...

STAC Client

  positional arguments:

    {collections,search}

collections
    Get all collections in this Catalog

search
    Perform new search of items

  options:

-h, --help
    show this help message and exit

--version
    Print version and exit

DESCRIPTION
usage: stac-client collections [-h] [--logging LOGGING]

[--headers [HEADERS ...]]
    [--add-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]] [--remove-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]] [--clear-conforms-to] [--error [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]] [--ignore [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]] [--save SAVE] url

  positional arguments:

url Root Catalog URL

  options:

-h, --help
    show this help message and exit

--logging LOGGING
    DEBUG, INFO, WARN, ERROR, CRITICAL (default: INFO)

--headers [HEADERS ...]
    Additional request headers (KEY=VALUE pairs) (default: None)

--add-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]
    Specify conformance classes to add to client (default: None)

--remove-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]
    Specify conformance classes to remove from client (default: None)

--clear-conforms-to

  warnings behavior:

--error [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]
    Error on all stac-client warnings or specific warnings. (default: None)

--ignore [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]
    Ignore all stac-client warnings or specific warnings. (default: None)

  output options:

--save SAVE
    Filename to save collections to (default: None)

DESCRIPTION
usage: stac-client search [-h] [--logging LOGGING] [--headers [HEADERS ...]]

[--add-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]]
    [--remove-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]] [--clear-conforms-to] [-c [COLLECTIONS ...]] [--ids [IDS ...]] [--bbox BBOX BBOX BBOX BBOX] [--intersects INTERSECTS] [--datetime DATETIME] [--query [QUERY ...]] [-q [Q ...]] [--filter FILTER] [--filter-lang FILTER_LANG] [--sortby [SORTBY ...]] [--fields [FIELDS ...]] [--limit LIMIT] [--max-items MAX_ITEMS] [--method METHOD] [--error [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]] [--ignore [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]] [--matched] [--save SAVE] url

  positional arguments:

url Root Catalog URL

  options:

-h, --help
    show this help message and exit

--logging LOGGING
    DEBUG, INFO, WARN, ERROR, CRITICAL (default: INFO)

--headers [HEADERS ...]
    Additional request headers (KEY=VALUE pairs) (default: None)

--add-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]
    Specify conformance classes to add to client (default: None)

--remove-conforms-to [{CORE,COLLECTIONS,FEATURES,ITEM_SEARCH,CONTEXT,FIELDS,SORT,QUERY,FILTER} ...]
    Specify conformance classes to remove from client (default: None)

--clear-conforms-to

  search options:

-c [COLLECTIONS ...], --collections [COLLECTIONS ...]
    One or more collection IDs (default: None)

--ids [IDS ...]
    One or more Item IDs (ignores other parameters) (default: None)

--bbox BBOX BBOX BBOX BBOX
    Bounding box (min lon, min lat, max lon, max lat) (default: None)

--intersects INTERSECTS
    GeoJSON Feature or geometry (file or string) (default: None)

--datetime DATETIME
    Single datetime or begin and end datetime (e.g., 2017-01-01/2017-02-15) (default: None)

--query [QUERY ...]
    Query properties of form KEY=VALUE (>=,<=,=,<>,>,< supported) (default: None)

-q [Q ...]
    DEPRECATED. Use --query instead. Query properties of form KEY=VALUE (<, >, <=, >=, = supported) (default: None)

--filter FILTER
    Filter on queryables using language specified in filter-lang parameter (default: None)

--filter-lang FILTER_LANG
    Filter language used within the filter parameter (default: cql2-json)

--sortby [SORTBY ...]
    Sort by fields (default: None)

--fields [FIELDS ...]
    Control what fields get returned (default: None)

--limit LIMIT
    Page size limit (default: None)

--max-items MAX_ITEMS
    Max items to retrieve from search (default: None)

--method METHOD
    GET or POST (default: POST)

  warnings behavior:

--error [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]
    Error on all stac-client warnings or specific warnings. (default: None)

--ignore [{no-conforms-to,does-not-conform-to,missing-link,fallback-to-pystac} ...]
    Ignore all stac-client warnings or specific warnings. (default: None)

  output options:

--matched
    Print number matched (default: False)

--save SAVE
    Filename to save Item collection to (default: None)